TRIMMOMATICPE(1)

NAME
TrimmomaticPE - flexible read trimming tool for Illumina NGS data

SYNOPSIS
Paired End Mode:

TrimmomaticPE [-threads threads] [-phred33 | -phred64] [-trimlog logFile] paired output 1 unpaired output 1 paired output 2 unpaired output 2 step 1 ...

Single End Mode:

TrimmomaticSE [-threads threads] [-phred33 | -phred64] [-trimlog logFile] output step 1 ...

DESCRIPTION
Trimmomatic performs a variety of useful trimming tasks for illumina paired-end and single ended data.The selection of trimming steps and their associated parameters are supplied on the command line.

OPTIONS

-phred
    If no quality score is specified, phred-64 is the default.

-trimlog
    Specifying a trimlog file creates a log of all read trimmings, indicating the following details:

    •   the read name

    •   the surviving sequence length

    •   the location of the first surviving base, aka. the amount trimmed from the start

    •   the location of the last surviving base in the original read

    •   the amount trimmed from the end

        Multiple steps can be specified as required, by using additional arguments at the end.

    Most steps take one or more settings, delimited by ':' (a colon)

    Step options:

        ILLUMINACLIP:<fastaWithAdaptersEtc>:<seed mismatches>:<palindrome clip threshold>:<simple clip threshold>
            fastaWithAdaptersEtc: specifies the path to a fasta file containing all the adapters, PCR sequences etc.
            The naming of the various sequences within this file determines how they are used. See below.
            seedMismatches: specifies the maximum mismatch count which will still allow a full match to be performed
            palindromeClipThreshold: specifies how accurate the match between the two 'adapter ligated' reads must be for PE palindrome read alignment.
            simpleClipThreshold: specifies how accurate the match between any adapter etc. sequence must be against a read.
            .
            The adapters are installed on the Debian system at /usr/share/trimmomatic/.
        SLIDINGWINDOW:<windowSize>:<requiredQuality>
            windowSize: specifies the number of bases to average across
            requiredQuality: specifies the average quality required.
        LEADING:<quality>
            quality: Specifies the minimum quality required to keep a base.
        TRAILING:<quality>
            quality: Specifies the minimum quality required to keep a base.
        CROP:<length>
            length: The number of bases to keep, from the start of the read.
        HEADCROP:<length>
            length: The number of bases to remove from the start of the read.
        MINLENGTH:<length>
            length: Specifies the minimum length of reads to be kept.

    Trimming Order

    Trimming occurs in the order which the steps are specified on the command line. It is recommended in most cases that adapter clipping, if required, is done as early as possible.

EXAMPLES
Paired End:

TrimmomaticPE s_1_1_sequence.txt.gz s_1_2_sequence.txt.gz lane1_forward_paired.fq.gz lane1_forward_unpaired.fq.gz lane1_reverse_paired.fq.gz lane1_reverse_unpaired.fq.gz ILLUMINACLIP:/usr/share/trimmomatic/illuminaClipping.fa:2:40:15 LEADING:3 TRAILING:3 SLIDINGWINDOW:4:15 MINLEN:36

This will perform the following:

    Remove adapters
    Remove leading low quality or N bases (below quality 3)
    Remove trailing low quality or N bases (below quality 3)
    Scan the read with a 4-base wide sliding window, cutting when the average quality per base drops below 15
    Drop reads below the 36 bases long

The equivalent for single-ended reads is:

TrimmomaticSE s_1_1_sequence.txt.gz lane1_forward.fq.gz ILLUMINACLIP:/usr/share/trimmomatic/illuminaClipping.fa:2:40:15 LEADING:3 TRAILING:3 SLIDINGWINDOW:4:15 MINLEN:36